Subject: Re: bug#11400: 24.0.95; `url-copy-file' doesn't respect the umask

From: Glenn Morris <[email-masked]>
Date: Thu, 10 May 2012 14:52:58 -0400

Donald Ephraim Curtis wrote:

> It seems that `url-copy-file' does not respect the `umask' value.

Well, you could put it that way, or you could say that by default it
creates private copies. Isn't this standard practice for many
applications that download things?

url-copy-file uses mm-save-part-to-file, which sets file modes according
to mm-attachment-file-modes. For world-readable, set that to 420.
There is no setting that means "don't change the mode bits"; maybe there
should be.